| API Docs for SAX and DOM |

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# AttributeList Member List

This is the complete list of members for AttributeList, including all inherited members.

AttributeList() | AttributeList |
getLength() const =0 | AttributeList | `[pure virtual]`
getName(const unsigned int index) const =0 | AttributeList | `[pure virtual]`
getType(const unsigned int index) const =0 | AttributeList | `[pure virtual]`
getType(const XMLCh *const name) const =0 | AttributeList | `[pure virtual]`
getValue(const unsigned int index) const =0 | AttributeList | `[pure virtual]`
getValue(const XMLCh *const name) const =0 | AttributeList | `[pure virtual]`
getValue(const char *const name) const =0 | AttributeList | `[pure virtual]`
~AttributeList() | AttributeList | `[virtual]`

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.